openjdk-6 (6b31-1.13.3-1ubuntu1) trusty; urgency=medium

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Apr 2014 05:37:46 +0200

openjdk-6 (6b31-1.13.3-1) unstable; urgency=high

  * IcedTea 1.13.3 release.
  * Security fixes:
    - S8023046: Enhance splashscreen support.
    - S8025005: Enhance CORBA initializations.
    - S8025010, CVE-2014-2412: Enhance AWT contexts.
    - S8025030, CVE-2014-2414: Enhance stream handling.
    - S8025152, CVE-2014-0458: Enhance activation set up.
    - S8026067: Enhance signed jar verification.
    - S8026163, CVE-2014-2427: Enhance media provisioning.
    - S8026188, CVE-2014-2423: Enhance envelope factory.
    - S8026200: Enhance RowSet Factory.
    - S8026736, CVE-2014-2398: Enhance Javadoc pages.
    - S8026797, CVE-2014-0451: Enhance data transfers.
    - S8026801, CVE-2014-0452: Enhance endpoint addressing.
    - S8027766, CVE-2014-0453: Enhance RSA processing.
    - S8027775: Enhance ICU code.
    - S8027841, CVE-2014-0429: Enhance pixel manipulations.
    - S8028385: Enhance RowSet Factory.
    - S8029282, CVE-2014-2403: Enhance CharInfo set up.
    - S8029286: Enhance subject delegation.
    - S8029699: Update Poller demo.
    - S8029730: Improve audio device additions.
    - S8029735: Enhance service mgmt natives.
    - S8029740, CVE-2014-0446: Enhance handling of loggers.
    - S8029750: Enhance LCMS color processing.
    - S8029760, CVE-2014-0462: Enhance AWT image libraries.
    - S8029854, CVE-2014-2421: Enhance JPEG decodings.
    - S8029858, CVE-2014-0456: Enhance array copies.
    - S8030731, CVE-2014-0460: Improve name service robustness.
    - S8031330: Refactor ObjectFactory.
    - S8031335, CVE-2014-0459: Better color profiling (LCMS 2 only).
    - S8031352, CVE-2014-2405: Enhance PNG handling.
    - S8031394, CVE-2014-0457: (sl) Fix exception handling in ServiceLoader.
    - S8031395: Enhance LDAP processing.
    - S8033618, CVE-2014-1876: Correct logging output.
    - S8034926, CVE-2014-2397: Attribute classes properly.
    - S8036794, CVE-2014-0461: Manage JavaScript instances.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Apr 2014 05:19:54 +0200

openjdk-6 (6b30-1.13.2-2) unstable; urgency=medium

  * Explicitly build-depend on libkrb5-dev.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 01 Apr 2014 09:23:40 +0200

openjdk-6 (6b30-1.13.2-1) unstable; urgency=medium

  * IcedTea 1.13.2 release.

  [ Jamie Strandboge ]
  * debian/rules: disable system lcms2 for releases that don't have lcms2 2.5
    or higher.
  * debian/patches/8017173.diff: XMLCipher with RSA_OAEP Key Transport
    algorithm can't be instantiated (LP: #1283828)
  * debian/patches/java-access-bridge-security.patch: fix malformed patch

  [ Matthias Klose ]
  * Re-enable the system lcms2 on releases which have an earlier lcms2
    with the security fixes included in 2.5.
  * Explicitly use AC_MAINTAINER_MODE and automake-1.11 to create the
    debian .orig tarball. Closes: #740289.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 31 Mar 2014 08:43:25 +0100

openjdk-6 (6b30-1.13.1-1) unstable; urgency=medium

  * IcedTea 1.13.1 release.
  * Security fixes
    - S6727821: Enhance JAAS Configuration.
    - S7068126, CVE-2014-0373: Enhance SNMP statuses.
    - S8010935: Better XML handling.
    - S8011786, CVE-2014-0368: Better applet networking.
    - S8021257, CVE-2013-5896: com.sun.corba.se.** should be on
      restricted package list.
    - S8021271: Better buffering in ObjC code.
    - S8022904: Enhance JDBC Parsers.
    - S8022927: Input validation for byte/endian conversions.
    - S8022935: Enhance Apache resolver classes.
    - S8022945: Enhance JNDI implementation classes.
    - S8023057: Enhance start up image display.
    - S8023069, CVE-2014-0411: Enhance TLS connections.
    - S8023245, CVE-2014-0423: Enhance Beans decoding.
    - S8023301: Enhance generic classes.
    - S8023672: Enhance jar file validation.
    - S8024306, CVE-2014-0416: Enhance Subject consistency.
    - S8024530: Enhance font process resilience.
    - S8024867: Enhance logging start up.
    - S8025014: Enhance Security Policy.
    - S8025018, CVE-2014-0376: Enhance JAX-P set up.
    - S8025026, CVE-2013-5878: Enhance canonicalization.
    - S8025034, CVE-2013-5907: Improve layout lookups.
    - S8025448: Enhance listening events.
    - S8025758, CVE-2014-0422: Enhance Naming management.
    - S8025767, CVE-2014-0428: Enhance IIOP Streams.
    - S8026172: Enhance UI Management.
    - S8026176: Enhance document printing.
    - S8026193, CVE-2013-5884: Enhance CORBA stub factories.
    - S8026204: Enhance auth login contexts.
    - S8026417, CVE-2013-5910: Enhance XML canonicalization.
    - S8027201, CVE-2014-0376: Enhance JAX-P set up.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 31 Jan 2014 15:49:18 +0000

openjdk-6 (6b29-1.13.0-2) unstable; urgency=medium

  * Fix the sparc builds.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 Dec 2013 17:23:34 +0100

openjdk-6 (6b29-1.13.0-1) unstable; urgency=medium

  * IcedTea 1.13.0 release.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 28 Dec 2013 02:18:45 +0100

openjdk-6 (6b27-1.12.7-2) unstable; urgency=low

  * Fix build failure on arm*.
  * Re-enable running the testsuite.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Nov 2013 16:45:09 +0100

openjdk-6 (6b27-1.12.7-1) unstable; urgency=medium

  * IcedTea 1.12.7 release.
  * Security fixes:
    - S8006900, CVE-2013-3829: Add new date/time capability.
    - S8008589: Better MBean permission validation.
    - S8011071, CVE-2013-5780: Better crypto provider handling.
    - S8011081, CVE-2013-5772: Improve jhat.
    - S8011157, CVE-2013-5814: Improve CORBA portablility.
    - S8012071, CVE-2013-5790: Better Building of Beans.
    - S8012147: Improve tool support.
    - S8012277: CVE-2013-5849: Improve AWT DataFlavor.
    - S8012425, CVE-2013-5802: Transform TransformerFactory.
    - S8013503, CVE-2013-5851: Improve stream factories.
    - S8013506: Better Pack200 data handling.
    - S8013510, CVE-2013-5809: Augment image writing code.
    - S8013514: Improve stability of cmap class.
    - S8013739, CVE-2013-5817: Better LDAP resource management.
    - S8013744, CVE-2013-5783: Better tabling for AWT.
    - S8014085: Better serialization support in JMX classes.
    - S8014093, CVE-2013-5782: Improve parsing of images.
    - S8014102, CVE-2013-5778: Improve image conversion.
    - S8014341, CVE-2013-5803: Better service from Kerberos servers.
    - S8014349, CVE-2013-5840: (cl) Class.getDeclaredClass problematic
      in some class loader configurations.
    - S8014530, CVE-2013-5825: Better digital signature processing.
    - S8014534: Better profiling support.
    - S8014987, CVE-2013-5842: Augment serialization handling.
    - S8015614: Update build settings.
    - S8015731: Subject java.security.auth.subject to improvements.
    - S8015743, CVE-2013-5774: Address internet addresses.
    - S8016256: Make finalization final.
    - S8016653, CVE-2013-5804: javadoc should ignore ignoreable characters
      in names.
    - S8016675, CVE-2013-5797: Make Javadoc pages more robust.
    - S8017196, CVE-2013-5850: Ensure Proxies are handled appropriately.
    - S8017287, CVE-2013-5829: Better resource disposal.
    - S8017291, CVE-2013-5830: Cast Proxies Aside.
    - S8017298, CVE-2013-4002: Better XML support.
    - S8017300, CVE-2013-5784: Improve Interface Implementation.
    - S8017505, CVE-2013-5820: Better Client Service.
    - S8019292: Better Attribute Value Exceptions.
    - S8019617: Better view of objects.
    - S8020293: JVM crash.
    - S8021290, CVE-2013-5823: Better signature validation.
    - S8022940: Enhance CORBA translations.
    - S8023683: Enhance class file parsing.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Nov 2013 10:55:47 +0100

openjdk-6 (6b27-1.12.6-1) unstable; urgency=high

  * IcedTea 1.12.6 release.
  * Security fixes:
    - S6741606, CVE-2013-2407: Integrate Apache Santuario.
    - S7158805, CVE-2013-2445: Better rewriting of nested subroutine calls.
    - S7170730, CVE-2013-2451: Improve Windows network stack support.
    - S8000638, CVE-2013-2450: Improve deserialization.
    - S8000642, CVE-2013-2446: Better handling of objects for transportation.
    - S8001032: Restrict object access.
    - S8001033, CVE-2013-2452: Refactor network address handling in virtual
      machine identifiers.
    - S8001034, CVE-2013-1500: Memory management improvements.
    - S8001038, CVE-2013-2444: Resourcefully handle resources.
    - S8001043: Clarify definition restrictions.
    - S8001309: Better handling of annotation interfaces.
    - S8001318, CVE-2013-2447: Socket.getLocalAddress not consistent with
      InetAddress.getLocalHost.
    - S8001330, CVE-2013-2443: Improve on checking order.
    - S8003703, CVE-2013-2412: Update RMI connection dialog box.
    - S8004584: Augment applet contextualization.
    - S8005007: Better glyph processing.
    - S8006328, CVE-2013-2448: Improve robustness of sound classes.
    - S8006611: Improve scripting.
    - S8007467: Improve robustness of JMX internal APIs.
    - S8007471: Improve MBean notifications.
    - S8007812, CVE-2013-2455: (reflect) Class.getEnclosingMethod problematic
      for some classes.
    - S8008120, CVE-2013-2457: Improve JMX class checking.
    - S8008124, CVE-2013-2453: Better compliance testing.
    - S8008128: Better API coherence for JMX.
    - S8008132, CVE-2013-2456: Better serialization support.
    - S8008585: Better JMX data handling.
    - S8008593: Better URLClassLoader resource management.
    - S8008603: Improve provision of JMX providers.
    - S8008611: Better handling of annotations in JMX.
    - S8008615: Improve robustness of JMX internal APIs.
    - S8008623: Better handling of MBeanServers.
    - S8008744, CVE-2013-2407: Rework part of fix for JDK-6741606.
    - S8008982: Adjust JMX for underlying interface changes.
    - S8009004: Better implementation of RMI connections.
    - S8009013: Better handling of T2K glyphs.
    - S8009034: Improve resulting notifications in JMX.
    - S8009038: Improve JMX notification support.
    - S8009067: Improve storing keys in KeyStore.
    - S8009071, CVE-2013-2459: Improve shape handling.
    - S8009235: Improve handling of TSA data.
    - S8011243, CVE-2013-2470: Improve ImagingLib.
    - S8011248, CVE-2013-2471: Better Component Rasters.
    - S8011253, CVE-2013-2472: Better Short Component Rasters.
    - S8011257, CVE-2013-2473: Better Byte Component Rasters.
    - S8012375, CVE-2013-1571: Improve Javadoc framing.
    - S8012421: Better positioning of PairPositioning.
    - S8012438, CVE-2013-2463: Better image validation.
    - S8012597, CVE-2013-2465: Better image channel verification.
    - S8012601, CVE-2013-2469: Better validation of image layouts.
    - S8014281, CVE-2013-2461: Better checking of XML signature.
    - S8015997: Additional improvement in Javadoc framing.
  * Backports:
    - See the NEWS file for a complete list of the backports.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Jul 2013 16:20:30 +0200

# For older changelog entries, run 'apt-get changelog openjdk-6-jre-headless'
